Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.feedback
Class FeedbackExercise

    java.lang.Object
      mauda.SimpleExercise
          mauda.Exercise
              mauda.feedback.FeedbackExercise

All Implemented Interfaces:
  ExerciseUpdateListener

    public class FeedbackExercise

extends Exercise
implements ExerciseUpdateListener

Extends Exercise-class to hold Feedback-specific information.

Author:
  Markus Krebs

Field Summary

Fields inherited from class mauda.Exercise
`BOTHOPERATION, compPanel, controlPanel, interactive, jedasPanel, NOPOPUP, OPERATION, opsToAnimate, quickAnim, scheduler, SUBOPERATION`

Fields inherited from class mauda.SimpleExercise
`availableOperations, availableSubOperations, operationExecuter`

Constructor Summary
`FeedbackExercise(java.lang.String type)` Creates a FeedbackExercise

Method Summary
`void` | `exerciseUpdate(ExerciseUpdateEvent e)` Invoked when an Event occures
`SimpleFeedback` | `getFeedback()` Feedback-Typ zurückgeben
`FeedbackPanel` | `getFeedbackPanel()` Gets the panel the feedback uses to display its messages.
`TreeOperationView` | `getTreeOperationView()` Gets the `TreeOperationView`
`boolean` | `loadWork(java.util.HashMap ht)` Loads an exercise that is in process from a HashMap-representation
`void` | `saveWork(java.lang.String filename)` Saves the a exercise that is in process to a xml-file
`void` | `setFeedback(SimpleFeedback feedback)` Sets the feedback-type of the exercise

Methods inherited from class mauda.Exercise
`actionsAllowed, addFullLoadedMessage, animate, back, commit, commit, commit, commit, commitInteractive, forward, getInteractiveMode, getUndoRedo, isModified, isReadyToSave, jumpToBeginning, jumpToEnd, load, redo, reset, save, setActionsAllowed, setDifficulty, setInteractiveMode, setMode, setModified, setQuickAnim, stopPlaying, switchTo, undo`

Methods inherited from class mauda.SimpleExercise
`addExerciseUpdateListener, addExerciseUpdateListenerFirst, getAvailableOperations, getAvailableSubOperations, getDataDirectory, getDefaultFilename, getDifficulty, getDSObject, getFilename, getMetaData, getMode, getOperationExecuter, getOperationRecorder, getPlugInHandler, init, load, loadConfig, operationExecuted, removeExerciseUpdateListener, sendExerciseUpdateMessages, setAvailableOperations, setAvailableSubOperations, setDataDirectory, setDefaultFilename, setDSObject, setFilename, setMetaData, setOperationExecuter, setPlugInHandler, updateMetaDataInitTodoRating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeedbackExercise

    public FeedbackExercise(java.lang.String type)

  Creates a FeedbackExercise

  Parameters:
    `type` - plugin-name-id

Method Detail

### setFeedback

    public void setFeedback(SimpleFeedback feedback)

  Sets the feedback-type of the exercise

  Parameters:
    `feedback` - SimpleFeedback
  See Also:
    `ImmediateFeedbackAndErrorCorrection`, `ErrorFlagging`, `DemandFeedback`, `NoTutor`, `FaultFeedback`

### getFeedback

    public SimpleFeedback getFeedback()

  Feedback-Typ zurückgeben

  Returns:
    Current feedback-type
  See Also:
    `setFeedback(SimpleFeedback)`

### getFeedbackPanel

    public FeedbackPanel getFeedbackPanel()

  Gets the panel the feedback uses to display its messages. This is the complete right-panel of Work-Editor.

  Returns:
    FeedackPanel

### getTreeOperationView

    public TreeOperationView getTreeOperationView()

  Gets the `TreeOperationView`

  Returns:
    TreeOperationView

### saveWork

    public void saveWork(java.lang.String filename)

  Saves the a exercise that is in process to a xml-file

  Parameters:
    `filename` - Filename

### loadWork

    public boolean loadWork(java.util.HashMap ht)

  Loads an exercise that is in process from a HashMap-representation

  Parameters:
    `ht` - HashMap-representation
  Returns:
    true if save was successful, false otherwise

### exerciseUpdate

    public void exerciseUpdate(ExerciseUpdateEvent e)

  Description copied from interface: `ExerciseUpdateListener`
  Invoked when an Event occures

  Specified by:
    `exerciseUpdate` in interface `ExerciseUpdateListener`
  Parameters:
    `e` - The event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD